-- moreSounds.lua
-- Script for sounds when playing animations
--
-- Author RivalBomb
-- 05.01.2016
-- edit 23.04.2016

moreSounds = {};

function moreSounds.prerequisitesPresent(specializations)
	return SpecializationUtil.hasSpecialization(AnimatedVehicle, specializations);
end;

function moreSounds:load(xmlFile)
	if self.isClient then
		self.sampleOpenDoor = Utils.loadSample(xmlFile, {}, "vehicle.openSound", "sounds/deckel_auf.wav", self.baseDirectory, self.components[1].node);
		self.sampleCloseDoor = Utils.loadSample(xmlFile, {}, "vehicle.closeSound", "sounds/deckel_zu.wav", self.baseDirectory, self.components[1].node);
		
		self.sampleOpenBack = Utils.loadSample(xmlFile, {}, "vehicle.openBackSound", "sounds/stufe_auf.wav", self.baseDirectory, self.components[1].node);
		self.sampleCloseBack = Utils.loadSample(xmlFile, {}, "vehicle.closeBackSound", "sounds/stufe_zu.wav", self.baseDirectory, self.components[1].node);
	end;
end;
function moreSounds:delete()
	if self.sampleOpenDoor ~= nil then
		Utils.deleteSample(self.sampleOpenDoor);
	end;
	if self.sampleCloseDoor ~= nil then
		Utils.deleteSample(self.sampleCloseDoor);
	end;
	
	if self.sampleOpenBack ~= nil then
		Utils.deleteSample(self.sampleOpenBack);
	end;
	if self.sampleCloseBack ~= nil then
		Utils.deleteSample(self.sampleCloseBack);
	end;
end;
function moreSounds:mouseEvent(posX, posY, isDown, isUp, button)
end;
function moreSounds:keyEvent(unicode, sym, modifier, isDown)
end;
function moreSounds:update(dt)
	if self.isClient then
			if self:getIsAnimationPlaying("Deckel") then
				if self.animations["Deckel"].currentSpeed > 0 then
					if not Utils.isSamplePlaying(self.sampleOpenDoor, 1.5*dt) then
						Utils.playSample(self.sampleOpenDoor,1,1,nil);
					end;
				elseif self.animations["Deckel"].currentSpeed < 0 then
					if not Utils.isSamplePlaying(self.sampleCloseDoor, 1.5*dt) then
						Utils.playSample(self.sampleCloseDoor,1,1,nil);
					end;
				end;
			end;
			
			if self:getIsAnimationPlaying("Stufe") then
				if self.animations["Stufe"].currentSpeed > 0 then
					if not Utils.isSamplePlaying(self.sampleOpenBack, 1.5*dt) then
						Utils.playSample(self.sampleOpenBack,1,1,nil);
					end;
				elseif self.animations["Stufe"].currentSpeed < 0 then
					if not Utils.isSamplePlaying(self.sampleCloseBack, 1.5*dt) then
						Utils.playSample(self.sampleCloseBack,1,1,nil);
					end;
				end;
			end;
		end;
	end;

function moreSounds:updateTick(dt)
end;
function moreSounds:draw()	
end;